
Redmine - Defect #13127

h1 multiple lined titles breaks into main menu

2013-02-11 15:43 - Martin Nørgaard Gregersen

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 2.2.4   

Resolution: Fixed Affected version: 2.2.1

Description

The fixed height on the #header makes header break down into the header, when Titles are long. In our company they make a lot of

long headers, which makes the header break into the main menu way too often and disturbs the UX.

To fix this and keep the header flexible for single- and multiple lines, simply add (or change) the following CSS:

#header {

height:auto;

}

#header h1 {

padding-bottom: 30px;

}

Related issues:

Has duplicate Redmine - Defect #13302: Project Title very long and UI Error Closed

Associated revisions

Revision 11351 - 2013-02-11 19:14 - Jean-Philippe Lang

Fixed that long project names in the header may overlap the main menu (#13127).

Revision 11595 - 2013-03-11 19:28 - Jean-Philippe Lang

Merged r11351 from trunk (#13127).

History

#1 - 2013-02-11 19:15 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.2.3

- Resolution set to Fixed

I've committed a different fix in r11351 to avoid the bottom-padding on the h1. Can you confirm it's OK?

#2 - 2013-02-12 07:50 - Ivan Cenov

I tested with several projects (parent-child-child..) with long names. Some part was dropped because not fitted in the header.

P.S. May header should have variable height?

#3 - 2013-02-12 19:06 - Jean-Philippe Lang

- Target version changed from 2.2.3 to 2.2.4

Ivan Cenov wrote:

I tested with several projects (parent-child-child..) with long names. Some part was dropped because not fitted in the header.

P.S. May header should have variable height?

 Did you apply the fix before your test ? Because the patch makes the height variable.
https://www.redmine.org/projects/redmine/repository/svn/revisions/11351


#4 - 2013-02-13 19:54 - Ivan Cenov

Hmm, It seems I have forgotten to make svn update before test. The height is variable.

#5 - 2013-02-13 19:54 - Ivan Cenov

.

#6 - 2013-03-11 19:29 - Jean-Philippe Lang

- Status changed from Resolved to Closed

OK, thanks for the feedback.
